When checking for GTK+2, indicate that we will *not* accept GTK 3 and later.
authormorriss <morriss@f5534014-38df-0310-8fa8-9805f1628bb7>
Tue, 1 Nov 2011 01:08:59 +0000 (01:08 +0000)
committermorriss <morriss@f5534014-38df-0310-8fa8-9805f1628bb7>
Tue, 1 Nov 2011 01:08:59 +0000 (01:08 +0000)
git-svn-id: http://anonsvn.wireshark.org/wireshark/trunk@39699 f5534014-38df-0310-8fa8-9805f1628bb7

aclocal-fallback/gtk-2.0.m4

index 519c46669e5792f5664c49678d0c342019d72a7f..144eadec8929e5e25bc9793cabeb5c94f53db345 100644 (file)
@@ -2,11 +2,11 @@
 # Owen Taylor     1997-2001
 
 dnl AM_PATH_GTK_2_0([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND [, MODULES]]]])
-dnl Test for GTK+, and define GTK_CFLAGS and GTK_LIBS, if gthread is specified in MODULES, 
+dnl Test for GTK+, and define GTK_CFLAGS and GTK_LIBS, if gthread is specified in MODULES,
 dnl pass to pkg-config
 dnl
 AC_DEFUN([AM_PATH_GTK_2_0],
-[dnl 
+[dnl
 dnl Get the cflags and libraries from pkg-config
 dnl
 AC_ARG_ENABLE(gtktest, [  --disable-gtktest       do not try to compile and run a test GTK+ program],
@@ -16,7 +16,7 @@ AC_ARG_ENABLE(gtktest, [  --disable-gtktest       do not try to compile and run
   for module in . $4
   do
       case "$module" in
-         gthread) 
+         gthread)
              pkg_config_args="$pkg_config_args gthread-2.0"
          ;;
       esac
@@ -39,7 +39,7 @@ AC_ARG_ENABLE(gtktest, [  --disable-gtktest       do not try to compile and run
   fi
 
   min_gtk_version=ifelse([$1], ,2.0.0,$1)
-  AC_MSG_CHECKING(for GTK+ - version >= $min_gtk_version)
+  AC_MSG_CHECKING(for GTK+ - version >= $min_gtk_version and < 3.0)
 
   if test x$PKG_CONFIG != xno ; then
     ## don't try to run the test against uninstalled libtool libs
@@ -79,7 +79,7 @@ dnl
 #include <stdio.h>
 #include <stdlib.h>
 
-int 
+int
 main ()
 {
   int major, minor, micro;
@@ -98,7 +98,7 @@ main ()
       (gtk_minor_version != $gtk_config_minor_version) ||
       (gtk_micro_version != $gtk_config_micro_version))
     {
-      printf("\n*** 'pkg-config --modversion gtk+-2.0' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n", 
+      printf("\n*** 'pkg-config --modversion gtk+-2.0' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n",
              $gtk_config_major_version, $gtk_config_minor_version, $gtk_config_micro_version,
              gtk_major_version, gtk_minor_version, gtk_micro_version);
       printf ("*** was found! If pkg-config was correct, then it is best\n");
@@ -108,7 +108,7 @@ main ()
       printf("*** required on your system.\n");
       printf("*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH\n");
       printf("*** to point to the correct configuration files\n");
-    } 
+    }
   else if ((gtk_major_version != GTK_MAJOR_VERSION) ||
           (gtk_minor_version != GTK_MINOR_VERSION) ||
            (gtk_micro_version != GTK_MICRO_VERSION))
@@ -152,7 +152,7 @@ main ()
   fi
   if test "x$no_gtk" = x ; then
      AC_MSG_RESULT(yes (version $gtk_config_major_version.$gtk_config_minor_version.$gtk_config_micro_version))
-     ifelse([$2], , :, [$2])     
+     ifelse([$2], , :, [$2])
   else
      AC_MSG_RESULT(no)
      if test "$PKG_CONFIG" = "no" ; then